QGIS Application - Bug report #6891
Connection to non-spatial PostgreSQL
2012-12-18 06:59 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16016
Description

QGIS throws an error when trying to connect to a plain (non PostGIS) db. | think this limitation should be removed, because:

- QGIS can load non spatial tables, so also a non spatial db is somehow usable
- EXTENSION postgis can be created from within QGIS (e.g. through DB Manager), so an
user could connect to a non spatial PostgreSQL and make it spatial.

Related issues:
Duplicated by QGIS Application - Bug report # 14211: Cannot add Postgres geom... Closed

2016-02-01

Associated revisions

Revision 94413b35 - 2016-06-21 01:06 AM - Jiirgen Fischer

postgres provider: allow database without postgis (fixes #6891)

Revision 57¢199f3 - 2016-06-26 10:45 PM - Jiirgen Fischer

postgres provider: allow database without postgis (fixes #6891)

(cherry picked from commit 94413b35a08a154e5b40c2a9cab13fcb0d0ee4as)

History

#1 - 2016-02-02 03:12 AM - Giovanni Manghi

see also #14211

#2 - 2016-06-20 04:06 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"94413b35a08a154e5b40c2a9cab13fcb0dOeedad".
